API documentation for LegalOn services
- Upload other file
List contracts
Create a contract document
List contract custom attribute definitions
Get contract custom attribute values
Update contract custom attribute values
Update contract management attributes
Get contract information
Delete a contract
Upload a new latest version
List contract versions
Update contract information
Delete a contract version
Link an existing non-contract file to a contract
Link another contract
Remove a related file link from a contract
Upload other file
LegalOn API (1.3.1)
Languages
Servers
The server URL is `{api_base_url}/rest/v1`.
You can construct the server URL using the value of `api_base_url` provided in the response when obtaining an access token.
https://{api_base_url_without_scheme}/rest/v1
Request
Uploads an other file to the specified workspace and returns an other_file_id.
This v1 endpoint remains supported for backward compatibility.
New integrations can upload a domain-independent file with POST /files and link it with POST /contracts/{document_id}/related-file-links.
Security
OAuth2ClientCredentials
Upload other file request payload
Other file name.
Supported extensions are
- .pdf,
- .doc,
- .docx,
- .xls,
- .xlsx,
- .csv,
- .ppt,
- .pptx,
- .eml,
- .msg,
- .png,
- .gif,
- .jpg,
- and .jpeg.
Other file MIME type.
Supported MIME types are
- application/pdf,
- application/msword,
- application/vnd.openxmlformats-officedocument.wordprocessingml.document,
- application/vnd.ms-excel,
- application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
- text/csv,
- application/vnd.ms-powerpoint,
- application/vnd.openxmlformats-officedocument.presentationml.presentation,
- message/rfc822,
- application/vnd.ms-outlook,
- image/png,
- image/gif,
- and image/jpeg.
- The server URL is `{api_base_url}/rest/v1`.
You can construct the server URL using the value of `api_base_url` provided in the response when obtaining an access token.
https://{api_base_url_without_scheme}/rest/v1/contracts/other-files
- cURL
- JavaScript
- Python
- Java
- Go
curl -i -X POST \
'https://{api_base_url_without_scheme}/rest/v1/contracts/other-files' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: multipart/form-data' \
-F workspace_id=00000023-0000-0000-0001-000000000020 \
-F file_name=appendix.xlsx \
-F mime_type=application/vnd.openxmlformats-officedocument.spreadsheetml.sheet \
-F 'file=<binary file content>'Response
application/json
{ "workspace_id": "00000023-0000-0000-0001-000000000020", "other_file_id": "00000016-0000-0000-0001-100000000201", "file_name": "appendix.xlsx", "mime_type": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet" }